%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	A music player
Name:		exaile
Version:	0.3.0.1
Release:	1%{?dist}
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.exaile.org
Source0:	http://www.launchpad.net/exaile/0.3.0/0.3.0/+download/exaile-%{version}.tar.gz
Patch0:		exaile-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig
#BuildRequires:	pygtk2-devel
#BuildRequires:	sphinx
BuildRequires:	gettext intltool perl(XML::Parser)

Requires:	python-mutagen >= 1.8
Requires:	dbus-python
Requires:	gstreamer-python >= 0.10
Requires:	python-sqlite2
Requires:	pygtk2
Requires:	pygtk2-libglade
#Requires:	gnome-python2-gtkhtml2
Requires:	python-inotify
Requires:	python-CDDB
Requires:	python-sexy
Requires:	gamin-python
Requires:	hal

BuildArch:	noarch

%description
Exaile is a media player aiming to be similar to KDE's AmaroK, but for GTK+.
It incorporates many of the cool things from AmaroK (and other media players)
like automatic fetching of album art, handling of large libraries, lyrics
fetching, artist/album information via the wikipedia, last.fm support, optional
iPod support (assuming you have python-gpod installed).

In addition, Exaile also includes a built in shoutcast directory browser,
tabbed playlists (so you can have more than one playlist open at a time),
blacklisting of tracks (so they don't get scanned into your library),
downloading of guitar tablature from fretplay.com, and submitting played tracks
on your iPod to last.fm

%prep
%setup -q
%patch0 -p0 -b .fix

%build
make %{?_smp_mflags}
 
%install
rm -rf %{buildroot}

make install PREFIX=%{_prefix} LIBINSTALLDIR=%{python_sitelib} DESTDIR=%{buildroot}

desktop-file-install --delete-original			\
	--vendor="fedora"				\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/exaile
#%{_libdir}/exaile/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/exaile.png
%{_datadir}/exaile/
%{_sysconfdir}/xdg/exaile/
%{python_sitelib}/exaile/

%changelog
* Wed Sep 30 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0.1-1
- Update to 0.3.0.1

* Fri Aug 28 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.14-2
- Rebuild for Python 2.6

* Thu Oct 09 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.14-1
- Update to 0.2.14

* Fri Jul 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.13-3
- fix license tag

* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.13-2
- fix conditional comparison
- add sparc64 to 64bit arch check

* Wed Apr 02 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.13-1
- Update to 0.2.13

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.11.1-2
- Rebuild for gcc43

* Thu Nov 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.11.1-1
- Update to 0.2.11.1 that removes bogus cruft from 0.2.11 source tarball
- Rebuild for firefox-2.0.0.10

* Tue Nov 06 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.11-2
- Rebuild for firefox-2.0.0.9

* Mon Oct 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.11-1
- New release

* Tue Sep 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-3
- Require pygtk2-libglade (BZ #278471)

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-2
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-2
- License tag update

* Sat Jun 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.10-1
- New release

* Fri Mar 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.9-1
- New release

* Tue Jan 09 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.8-1
- New release

* Sat Dec 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.7-1
- New release

* Wed Dec 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.6-3
- Rework the python include patch

* Wed Dec 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.6-2
- Rewrite the build patch to be more generic

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.6-1
- First version for Fedora Extras
